package co.gov.igac.snc.dao.conservacion.test.unit;

import static org.testng.Assert.fail;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.testng.Assert;
import org.testng.annotations.AfterClass;
import org.testng.annotations.BeforeClass;
import org.testng.annotations.Test;

import co.gov.igac.generales.dto.ArcgisServerTokenDTO;
import co.gov.igac.generales.dto.UsuarioDTO;
import co.gov.igac.snc.dao.conservacion.impl.PPredioDAOBean;
import co.gov.igac.snc.dao.generales.ILogMensajeDAO;
import co.gov.igac.snc.dao.generales.impl.LogMensajeDAOBean;
import co.gov.igac.snc.persistence.entity.conservacion.PPersonaPredio;
import co.gov.igac.snc.persistence.entity.conservacion.PPersonaPredioPropiedad;
import co.gov.igac.snc.persistence.entity.conservacion.PPredio;
import co.gov.igac.snc.persistence.entity.conservacion.PPredioDireccion;
import co.gov.igac.snc.persistence.entity.conservacion.PUnidadConstruccion;
import co.gov.igac.snc.persistence.util.EProyeccionCancelaInscribe;
import co.gov.igac.snc.test.unit.BaseTest;
import java.util.Arrays;
import java.util.LinkedList;
import java.util.TreeMap;

public class PPredioDAOBeanTest extends BaseTest {

    private static final Logger LOGGER = LoggerFactory
        .getLogger(PPredioDAOBeanTest.class);

    private PPredioDAOBean dao = new PPredioDAOBean();
    private ILogMensajeDAO logMensajeDAO;

    @BeforeClass
    public void runBeforeClass() {
        LOGGER.info("runBeforeClass");
        setUp(BaseTest.EM_TEST_ORACLEDB);
        this.dao.setEntityManager(this.em);
        logMensajeDAO = new LogMensajeDAOBean();
        logMensajeDAO.setEntityManager(this.em);

    }

    @AfterClass
    public void runAfterClass() {
        LOGGER.info("runAfterClass");
        super.tearDown();
    }
//--------------------------------------------------------------------------------------------------

    @Test
    public void findPPredioByIdFetchAvaluosTest() {
        LOGGER.debug("unit test PPredioDAOBeanTest#findPPredioByIdFetchAvaluosTest ");
        PPredio ppredio = dao.findPPredioByIdFetchAvaluos(Long.valueOf("505687"));
        LOGGER.debug("Número predial: " + ppredio.getNumeroPredial());
        Assert.assertNotNull(ppredio);
        Assert.assertNotNull(ppredio.getPUnidadConstruccions());
        Assert.assertNotNull(ppredio.getPPredioZonas());
        Assert.assertNotNull(ppredio.getPPredioAvaluoCatastrals());
    }

    /**
     * @author javier.aponte
     *
     */
    @Test
    public void findPPredioByIdFetchDireccionesTest() {
        try {
            LOGGER.debug("Entrando al test de busqueda de ppredio que trae direcciones");
            PPredio ppredio = dao.findPPredioByIdFetchDirecciones(Long.valueOf("11009318"));
            Assert.assertNotNull(ppredio);
            Assert.assertNotNull(ppredio.getPPredioDireccions());
            LOGGER.debug("Salida método PPredioDAOBeanTest#findPPredioByIdFetchDirecciones");
        } catch (Exception e) {
            LOGGER.error(e.getMessage(), e);
            fail("Excepción capturada");
        }
    }

    /**
     * @author javier.aponte
     */
    @Test
    public void updatePPredioTest() {
        LOGGER.debug("**************************************");
        LOGGER.debug("Entrando al test de actualizar ppredio");
        dao.getEntityManager().getTransaction().begin();
        PPredio ppredio = dao.findPPredioByIdFetchDirecciones(Long.valueOf("11009318"));
        ppredio.setTipo("E");
        ppredio.setDestino("H");
        ppredio.setFechaLog(new Date());
        ppredio.setUsuarioLog("javier.aponte.test");
        //Adicionando una direccion
        PPredioDireccion nuevaDireccion = new PPredioDireccion();
        nuevaDireccion.setPPredio(ppredio);
        nuevaDireccion.setPrincipal("NO");
        nuevaDireccion.setDireccion("calle 123 TEST");
        nuevaDireccion.setFechaLog(new Date(System.currentTimeMillis()));
        nuevaDireccion.setUsuarioLog("david.cifuentes.test");
        ppredio.getPPredioDireccions().add(nuevaDireccion);
        try {
            PPredio p = dao.update(ppredio);
            LOGGER.debug("Tipo PPredio: " + p.getTipo());
            dao.getEntityManager().getTransaction().commit();
            Assert.assertTrue(true);
        } catch (Exception e) {
            e.printStackTrace();
            Assert.fail();
        }
        LOGGER.debug("Saliendo del test de actualizar ppredio");
    }
//-------------------------------------------------------------------------------------------------

    /**
     * @author fabio.navarrete
     */
    @Test
    public void testFindPPredioCompletoById() {
        LOGGER.debug("unit test: PPredioDAOBeanTest#testFindPPredioCompletoById");

        PPredio ppredio;
        try {
            ppredio = this.dao.findPPredioCompletoById(1707558L);
            Assert.assertNotNull(ppredio);
        } catch (Exception ex) {
            ex.printStackTrace();
            Assert.fail();
        }

    }
    //-------------------------------------------------------------------------------------------------

    @Test
    public void testActualizacionDeAreasEnPredios() {
        LOGGER.debug("unit test: PPredioDAOBeanTest#testActualizacionDeAreasEnPredios");
        List<String> predios = new ArrayList<String>();
        List<Double> areas = new ArrayList<Double>();

        predios.add("080010101000000570004800000000");
        predios.add("080010101000000570004800000001");
        predios.add("080010101000000570004800000002");
        predios.add("080010101000000570004800000003");
        predios.add("080010101000000570004800000004");
        predios.add("080010101000000570004800000005");
        predios.add("080010101000000570004800000006");
        predios.add("080010101000000570004800000007");
        predios.add("080010101000000570004800000008");
        predios.add("080010101000000570004800000009");
        predios.add("080010101000000570004800000010");
        predios.add("080010101000000570004800000011");
        predios.add("080010101000000570004800000012");
        predios.add("080010101000000570004800000013");
        predios.add("080010101000000570004800000014");
        predios.add("080010101000000570004800000015");
        predios.add("080010101000000570004800000016");
        predios.add("080010101000000570004800000017");
        predios.add("080010101000000570004800000018");
        predios.add("080010101000000570004800000019");
        predios.add("080010101000000570004800000020");

        areas.add(100.0);
        areas.add(101.0);
        areas.add(102.0);
        areas.add(103.0);
        areas.add(104.0);
        areas.add(105.0);
        areas.add(106.0);
        areas.add(107.0);
        areas.add(108.0);
        areas.add(109.0);
        areas.add(110.0);
        areas.add(111.0);
        areas.add(112.0);
        areas.add(113.0);
        areas.add(114.0);
        areas.add(115.0);
        areas.add(116.0);
        areas.add(117.0);
        areas.add(118.0);
        areas.add(119.0);
        areas.add(120.0);

        boolean flag;

        try {
            flag = this.dao.actualizacionDeAreasEnPredios(predios, areas);
            Assert.assertNotNull(flag);
        } catch (Exception ex) {
            ex.printStackTrace();
            Assert.fail();
        }

    }

    /**
     * Carga masiva author andres.eslava
     */
    @Test
    public void testObtenerPrediosProyectadosConFichaMatriz() {
        LOGGER.debug("unit test: PPredioDAOBeanTest#testActualizacionDeAreasEnPredios");

        String predios[] = {
            "080010103000005320914800000001",
            "080010103000005320915800000001",
            "080010103000005320916800000001",
            "080010103000005320917800000001",
            "080010103000005320918800000001",
            "080010103000005320919800000001",
            "080010103000005320920800000001",
            "080010103000005320921800000001",
            "080010103000005320922800000001",
            "080010103000005320923800000001",
            "080010103000005320924800000001",
            "080010101000000380003000000000",
            "080010101000000520001000000000",
            "080010101000000520007000000000",
            "080010101000000660050800000001",
            "080010101000000660051800000001",
            "080010101000000660052800000001",
            "080010101000000660053800000001",
            "080010101000000660054800000001",
            "080010101000000660055800000001",
            "080010101000000660056800000001",
            "080010101000000660057800000001",
            "080010101000000660058800000001",
            "080010101000000660059800000001",
            "080010101000000660060800000001",
            "080010101000000660061800000001",
            "080010101000000660062800000001",
            "080010101000000660063800000001",
            "080010101000000660064800000001",
            "080010101000000660065800000001",
            "080010101000000660066800000001",
            "080010101000000660067800000001",
            "080010101000000660068800000001",
            "080010101000000660069800000001",
            "080010101000000880001901010001",
            "080010101000000880001901020001",
            "080010101000000500023000000000",
            "080010101000000300002000000000",
            "080010101000000300032000000000",
            "080010101000000300052000000000",
            "080010102000000830012000000000",
            "080010102000000830075800000000",
            "080010101000000300055000000000",
            "080010103000005320430800000001",
            "080010101000000660023800000000",
            "080010103000005320400800000001",
            "080010101000000300021000000000",
            "080010101000000300054000000000",
            "080010103000005320401800000001",
            "080010103000005320402800000001",
            "080010103000005320403800000001",
            "080010103000005320404800000001",
            "080010103000005320405800000001",
            "080010103000005320406800000001",
            "080010103000005320407800000001",
            "080010103000005320408800000001",
            "080010103000005320409800000001",
            "080010103000005320410800000001",
            "080010103000005320411800000001",
            "080010103000005320412800000001",
            "080010103000005320413800000001",
            "080010103000005320414800000001",
            "080010103000005320415800000001",
            "080010103000005320416800000001",
            "080010103000005320417800000001",
            "080010103000005320418800000001",
            "080010103000005320419800000001",
            "080010103000005320420800000001",
            "080010103000005320421800000001",
            "080010103000005320422800000001",
            "080010103000005320423800000001",
            "080010103000005320424800000001",
            "080010103000005320425800000001",
            "080010103000005320426800000001",
            "080010103000005320427800000001",
            "080010103000005320428800000001",
            "080010103000005320429800000001",
            "080010101000000090004000000000",
            "080010101000000090010000000000",
            "080010101000000090012000000000",
            "080010103000005320925800000001",
            "080010101000000090006000000000",
            "080010101000000580002000000000",
            "080010101000000390003000000000",
            "080010101000000390055900000000",
            "080010103000005320949800000001",
            "080010103000005320926800000001",
            "080010101000000660001000000000",
            "080010103000005320927800000001",
            "080010103000005320928800000001",
            "080010103000005320929800000001",
            "080010103000005320930800000001",
            "080010103000005320931800000001",
            "080010103000005320932800000001",
            "080010103000005320933800000001",
            "080010103000005320934800000001",
            "080010103000005320935800000001",
            "080010103000005320936800000001",
            "080010103000005320937800000001",
            "080010103000005320938800000001",
            "080010103000005320939800000001",
            "080010103000005320940800000001",
            "080010103000005320941800000001",
            "080010103000005320942800000001",
            "080010103000005320943800000001",
            "080010103000005320944800000001",
            "080010103000005320945800000001",
            "080010103000005320946800000001",
            "080010103000005320947800000001",
            "080010103000005320948800000001",
            "080010101000000660070800000001",
            "080010101000000660071800000001",
            "080010101000000660072800000001",
            "080010101000000660073800000001",
            "080010101000000660074800000001",
            "080010101000000180031800000000",
            "080010101000000200016000000000",
            "080010101000000200017800000000",
            "080010101000000450002000000000",
            "080010101000001470019901010002",
            "080010101000001470019901020002",
            "080010101000000110021000000000",
            "080010101000000110022000000000",
            "080010103000005320462800000001",
            "080010103000005320431800000001",
            "080010103000005320432800000001",
            "080010103000005320433800000001",
            "080010103000005320434800000001",
            "080010103000005320435800000001",
            "080010103000005320436800000001",
            "080010103000005320437800000001",
            "080010103000005320438800000001",
            "080010103000005320439800000001",
            "080010103000005320440800000001",
            "080010103000005320441800000001",
            "080010103000005320442800000001",
            "080010103000005320443800000001",
            "080010103000005320444800000001",
            "080010103000005320445800000001",
            "080010103000005320446800000001",
            "080010103000005320447800000001",
            "080010103000005320448800000001",
            "080010103000005320449800000001",
            "080010103000005320450800000001",
            "080010103000005320451800000001",
            "080010103000005320452800000001",
            "080010103000005320453800000001",
            "080010103000005320454800000001",
            "080010103000005320455800000001",
            "080010103000005320456800000001",
            "080010103000005320457800000001",
            "080010103000005320458800000001",
            "080010103000005320459800000001",
            "080010103000005320460800000001",
            "080010103000005320461800000001",
            "080010103000005320950800000001",
            "080010101000000410006000000000",
            "080010103000005320951800000001",
            "080010103000005320952800000001",
            "080010103000005320953800000001",
            "080010103000005320954800000001",
            "080010103000005320955800000001",
            "080010103000005320956800000001",
            "080010103000005320957800000001",
            "080010103000005320958800000001",
            "080010103000005320959800000001",
            "080010103000005320960800000001",
            "080010103000005320961800000001",
            "080010103000005320962800000001",
            "080010103000005320963800000001",
            "080010103000005320964800000001",
            "080010103000005320965800000001",
            "080010103000005320966800000001",
            "080010103000005320967800000001",
            "080010103000005320968800000001",
            "080010103000005320969800000001",
            "080010103000005320970800000001",
            "080010103000005320971800000001",
            "080010103000005320972800000001",
            "080010103000005320973800000001",
            "080010103000005320974800000001",
            "080010103000005320975800000001",
            "080010103000005320976800000001",
            "080010103000005320977800000001",
            "080010101000000280006000000000",
            "080010101000000240001000000000",
            "080010101000000010045000000000",
            "080010101000000670037000000000",
            "080010101000000200006000000000",
            "080010101000000200007000000000",
            "080010103000005320002800000000",
            "080010103000005320004800000001",
            "080010103000005320005800000001",
            "080010103000005320006800000001",
            "080010101000000610002000000000",
            "080010103000005320007800000001",
            "080010103000005320008800000001",
            "080010103000005320009800000001",
            "080010103000005320010800000001",
            "080010103000005320011800000001",
            "080010103000005320012800000001",
            "080010103000005320013800000001",
            "080010103000005320014800000001",
            "080010103000005320015800000001",
            "080010103000005320016800000001",
            "080010103000005320017800000001",
            "080010103000005320018800000001",
            "080010103000005320019800000001",
            "080010103000005320020800000001",
            "080010103000005320021800000001",
            "080010103000005320022800000001",
            "080010103000005320023800000001",
            "080010103000005320024800000001",
            "080010103000005320025800000001",
            "080010103000005320026800000001",
            "080010103000005320027800000001",
            "080010103000005320028800000001",
            "080010103000005320029800000001",
            "080010103000005320030800000001",
            "080010103000005320031800000001",
            "080010101000000280002000000000",
            "080010101000001470019900000000",
            "080010103000005320463800000001",
            "080010103000005320464800000001",
            "080010103000005320465800000001",
            "080010103000005320466800000001",
            "080010103000005320467800000001",
            "080010103000005320468800000001",
            "080010103000005320469800000001",
            "080010103000005320470800000001",
            "080010103000005320471800000001",
            "080010103000005320472800000001",
            "080010103000005320473800000001",
            "080010103000005320474800000001",
            "080010103000005320475800000001",
            "080010103000005320476800000001",
            "080010103000005320477800000001",
            "080010103000005320478800000001",
            "080010103000005320479800000001",
            "080010103000005320480800000001",
            "080010103000005320481800000001",
            "080010103000005320482800000001",
            "080010103000005320483800000001",
            "080010103000005320484800000001",
            "080010103000005320485800000001",
            "080010103000005320486800000001",
            "080010103000005320487800000001",
            "080010103000005320488800000001",
            "080010103000005320489800000001",
            "080010103000005320490800000001",
            "080010103000005320491800000001",
            "080010103000005320492800000001",
            "080010103000005320493800000001",
            "080010103000005320494800000001",
            "080010103000005320978800000001",
            "080010101000000540008000000000",
            "080010101000000010001500000001",
            "080010101000000100001000000000",
            "080010101000000220037000000000",
            "080010101000000300056000000000",
            "080010103000005320979800000001",
            "080010103000005320980800000001",
            "080010103000005320981800000001",
            "080010103000005320982800000001",
            "080010103000005320983800000001",
            "080010103000005320984800000001",
            "080010103000005320985800000001",
            "080010103000005320986800000001",
            "080010103000005320987800000001",
            "080010103000005320988800000001",
            "080010103000005320989800000001",
            "080010103000005320990800000001",
            "080010103000005320991800000001",
            "080010103000005320992800000001",
            "080010103000005320993800000001",
            "080010103000005320994800000001",
            "080010103000005320995800000001",
            "080010103000005320996800000001",
            "080010103000005320997800000001",
            "080010103000005320998800000001",
            "080010103000005320999800000001",
            "080010103000005321000800000001",
            "080010103000005321001800000001",
            "080010103000005321002800000001",
            "080010101000000320032800000000",
            "080010101000000320004000000000",
            "080010103000005320059800000001",
            "080010103000005320032800000001",
            "080010103000005320033800000001",
            "080010103000005320034800000001",
            "080010103000005320035800000001",
            "080010103000005320036800000001",
            "080010103000005320037800000001",
            "080010103000005320038800000001",
            "080010103000005320039800000001",
            "080010103000005320040800000001",
            "080010103000005320041800000001",
            "080010103000005320042800000001",
            "080010103000005320043800000001",
            "080010103000005320044800000001",
            "080010103000005320045800000001",
            "080010103000005320046800000001",
            "080010103000005320047800000001",
            "080010103000005320048800000001",
            "080010103000005320049800000001",
            "080010103000005320050800000001",
            "080010103000005320051800000001",
            "080010103000005320052800000001",
            "080010103000005320053800000001",
            "080010103000005320054800000001",
            "080010103000005320055800000001",
            "080010103000005320056800000001",
            "080010103000005320057800000001",
            "080010103000005320058800000001",
            "080010103000005320495800000001",
            "080010103000005320496800000001",
            "080010101000000630002000000000",
            "080010101000000630004900000000",
            "080010103000005320497800000001",
            "080010103000005320498800000001",
            "080010103000005320499800000001",
            "080010103000005320500800000001",
            "080010103000005320501800000001",
            "080010103000005320502800000001",
            "080010103000005320503800000001",
            "080010103000005320504800000001",
            "080010103000005320505800000001",
            "080010103000005320506800000001",
            "080010103000005320507800000001",
            "080010103000005320508800000001",
            "080010103000005320509800000001",
            "080010103000005320510800000001",
            "080010103000005320511800000001",
            "080010103000005320512800000001",
            "080010103000005320513800000001",
            "080010103000005320514800000001",
            "080010103000005320515800000001",
            "080010103000005320516800000001",
            "080010103000005320517800000001",
            "080010103000005320518800000001",
            "080010103000005320519800000001",
            "080010103000005320520800000001",
            "080010103000005320521800000001",
            "080010103000005320522800000001",
            "080010103000005320523800000001",
            "080010103000005320524800000001",
            "080010103000005320525800000001",
            "080010103000005321003800000001",
            "080010101000000980002000000000",
            "080010101000000800004000000000",
            "080010101000000210005000000000",
            "080010101000000260004000000000",
            "080010101000000520014900000000",
            "080010101000000220002000000000",
            "080010101000000230002000000000",
            "080010101000000080005000000000",
            "080010103000005320060800000001",
            "080010103000005320061800000001",
            "080010103000005320062800000001",
            "080010103000005320063800000001",
            "080010103000005320064800000001",
            "080010103000005320065800000001",
            "080010103000005320066800000001",
            "080010103000005320067800000001",
            "080010103000005320068800000001",
            "080010103000005320069800000001",
            "080010103000005320070800000001",
            "080010103000005320071800000001",
            "080010103000005320072800000001",
            "080010103000005320073800000001",
            "080010103000005320074800000001",
            "080010103000005320075800000001",
            "080010103000005320076800000001",
            "080010103000005320077800000001",
            "080010103000005320078800000001",
            "080010103000005320079800000001",
            "080010103000005320080800000001",
            "080010103000005320081800000001",
            "080010103000005320082800000001",
            "080010103000005320083800000001",
            "080010103000005320084800000001",
            "080010103000005320085800000001",
            "080010103000005320086800000001",
            "080010103000005320087800000001",
            "080010103000005320088800000001",
            "080010103000005320089800000001",
            "080010103000005320090800000001",
            "080010103000005320091800000001",
            "080010103000005320092800000001",
            "080010103000005320093800000001",
            "080010103000005320094800000001",
            "080010103000005320095800000001",
            "080010103000005320096800000001",
            "080010103000005320097800000001",
            "080010101000000220036000000000",
            "080010101000000220001000000000",
            "080010101000000220035000000000",
            "080010101000000630004901010001",
            "080010101000000630004901010002",
            "080010101000000630004901020001",
            "080010101000000630004901020002",
            "080010103000005320526800000001",
            "080010104000000090122000000000",
            "080010103000005320527800000001",
            "080010103000005320528800000001",
            "080010103000005320529800000001",
            "080010103000005320530800000001",
            "080010103000005320531800000001",
            "080010103000005320532800000001",
            "080010103000005320533800000001",
            "080010103000005320534800000001",
            "080010103000005320535800000001",
            "080010103000005320536800000001",
            "080010103000005320537800000001",
            "080010103000005320538800000001",
            "080010103000005320539800000001",
            "080010103000005320540800000001",
            "080010103000005320541800000001",
            "080010103000005320542800000001",
            "080010103000005320543800000001",
            "080010103000005320544800000001",
            "080010103000005320545800000001",
            "080010103000005320546800000001",
            "080010103000005320547800000001",
            "080010103000005320548800000001",
            "080010103000005320549800000001",
            "080010103000005320550800000001",
            "080010103000005320551800000001",
            "080010103000005320552800000001",
            "080010103000005320553800000001",
            "080010101000000670036000000000",
            "080010101000000020002500000002",
            "080010101000000470002000000000",
            "080010101000000470021800000000",
            "080010101000000280005000000000",
            "080010103000005320128800000001",
            "080010103000005320129800000001",
            "080010103000005320098800000001",
            "080010103000005320099800000001",
            "080010103000005320100800000001",
            "080010103000005320101800000001",
            "080010103000005320102800000001",
            "080010103000005320130800000001",
            "080010103000005320131800000001",
            "080010103000005320132800000001",
            "080010103000005320133800000001",
            "080010103000005320134800000001",
            "080010103000005320135800000001",
            "080010103000005320103800000001",
            "080010103000005320104800000001",
            "080010103000005320105800000001",
            "080010103000005320106800000001",
            "080010103000005320107800000001",
            "080010103000005320108800000001",
            "080010103000005320109800000001",
            "080010103000005320110800000001",
            "080010103000005320111800000001",
            "080010103000005320112800000001",
            "080010103000005320113800000001",
            "080010103000005320114800000001",
            "080010103000005320115800000001",
            "080010103000005320116800000001",
            "080010103000005320117800000001",
            "080010103000005320118800000001",
            "080010103000005320119800000001",
            "080010103000005320120800000001",
            "080010103000005320121800000001",
            "080010103000005320122800000001",
            "080010103000005320123800000001",
            "080010103000005320136800000001",
            "080010103000005320124800000001",
            "080010103000005320125800000001",
            "080010103000005320126800000001",
            "080010103000005320127800000001",
            "080010103000005320554800000001",
            "080010103000005320555800000001",
            "080010103000005320556800000001",
            "080010103000005320557800000001",
            "080010103000005320558800000001",
            "080010101000000010006000000000",
            "080010103000005320559800000001",
            "080010103000005320560800000001",
            "080010103000005320561800000001",
            "080010103000005320562800000001",
            "080010101000000360005000000000",
            "080010103000005320563800000001",
            "080010103000005320564800000001",
            "080010103000005320565800000001",
            "080010103000005320566800000001",
            "080010103000005320567800000001",
            "080010103000005320568800000001",
            "080010103000005320569800000001",
            "080010103000005320570800000001",
            "080010103000005320571800000001",
            "080010103000005320572800000001",
            "080010103000005320573800000001",
            "080010103000005320574800000001",
            "080010103000005320575800000001",
            "080010103000005320576800000001",
            "080010103000005320577800000001",
            "080010103000005320578800000001",
            "080010103000005320579800000001",
            "080010103000005320580800000001",
            "080010103000005320581800000001",
            "080010103000005320582800000001",
            "080010103000005320583800000001",
            "080010103000005320584800000001",
            "080010103000005320585800000001",
            "080010103000005320586800000001",
            "080010103000005320587800000001",
            "080010103000005320588800000001",
            "080010101000000660016901010001",
            "080010101000000660016901010002",
            "080010101000000660016901020001",
            "080010101000000260003000000000",
            "080010101000000660016901020002",
            "080010101000000400005000000000",
            "080010101000000300008000000000",
            "080010101000002410004000000000",
            "080010101000000260022800000000",
            "080010103000005320175800000001",
            "080010103000005320137800000001",
            "080010103000005320138800000001",
            "080010103000005320139800000001",
            "080010103000005320140800000001",
            "080010103000005320141800000001",
            "080010103000005320142800000001",
            "080010103000005320143800000001",
            "080010103000005320144800000001",
            "080010103000005320145800000001",
            "080010103000005320146800000001",
            "080010103000005320147800000001",
            "080010103000005320148800000001",
            "080010103000005320149800000001",
            "080010103000005320150800000001",
            "080010103000005320151800000001",
            "080010103000005320152800000001",
            "080010103000005320153800000001",
            "080010103000005320154800000001",
            "080010103000005320155800000001",
            "080010103000005320156800000001",
            "080010103000005320157800000001",
            "080010103000005320158800000001",
            "080010103000005320159800000001",
            "080010103000005320160800000001",
            "080010103000005320161800000001",
            "080010103000005320162800000001",
            "080010103000005320163800000001",
            "080010103000005320164800000001",
            "080010103000005320165800000001",
            "080010103000005320166800000001",
            "080010103000005320167800000001",
            "080010103000005320168800000001",
            "080010103000005320169800000001",
            "080010103000005320170800000001",
            "080010103000005320171800000001",
            "080010103000005320172800000001",
            "080010103000005320173800000001",
            "080010103000005320174800000001",
            "080010103000005320590800000001",
            "080010103000005320591800000001",
            "080010103000005320592800000001",
            "080010103000005320593800000001",
            "080010103000005320589800000001",
            "080010103000005320594800000001",
            "080010103000005320595800000001",
            "080010103000005320596800000001",
            "080010103000005320597800000001",
            "080010103000005320598800000001",
            "080010103000005320599800000001",
            "080010103000005320600800000001",
            "080010103000005320601800000001",
            "080010103000005320602800000001",
            "080010103000005320603800000001",
            "080010103000005320604800000001",
            "080010103000005320605800000001",
            "080010103000005320606800000001",
            "080010103000005320607800000001",
            "080010103000005320608800000001",
            "080010103000005320609800000001",
            "080010103000005320610800000001",
            "080010103000005320611800000001",
            "080010103000005320612800000001",
            "080010103000005320613800000001",
            "080010103000005320614800000001",
            "080010103000005320615800000001",
            "080010103000005320616800000001",
            "080010103000005320617800000001",
            "080010103000005320618800000001",
            "080010103000005320619800000001",
            "080010103000005320620800000001",
            "080010103000005320621800000001",
            "080010103000005320622800000001",
            "080010103000005320623800000001",
            "080010103000005320624800000001",
            "080010103000005320625800000001",
            "080010103000005320626800000001",
            "080010103000005320627800000001",
            "080010103000005320914800000001",
            "080010103000005320915800000001",
            "080010103000005320916800000001",
            "080010103000005320917800000001",
            "080010103000005320918800000001",
            "080010103000005320919800000001",
            "080010103000005320920800000001",
            "080010103000005320921800000001",
            "080010103000005320922800000001",
            "080010103000005320923800000001",
            "080010103000005320924800000001",
            "080010101000000380003000000000",
            "080010101000000520001000000000",
            "080010101000000520007000000000",
            "080010101000000660050800000001",
            "080010101000000660051800000001",
            "080010101000000660052800000001",
            "080010101000000660053800000001",
            "080010101000000660054800000001",
            "080010101000000660055800000001",
            "080010101000000660056800000001",
            "080010101000000660057800000001",
            "080010101000000660058800000001",
            "080010101000000660059800000001",
            "080010101000000660060800000001",
            "080010101000000660061800000001",
            "080010101000000660062800000001",
            "080010101000000660063800000001",
            "080010101000000660064800000001",
            "080010101000000660065800000001",
            "080010101000000660066800000001",
            "080010101000000660067800000001",
            "080010101000000660068800000001",
            "080010101000000660069800000001",
            "080010101000000880001901010001",
            "080010101000000880001901020001",
            "080010101000000500023000000000",
            "080010101000000300002000000000",
            "080010101000000300032000000000",
            "080010101000000300052000000000",
            "080010102000000830012000000000",
            "080010102000000830075800000000",
            "080010101000000300055000000000",
            "080010103000005320430800000001",
            "080010101000000660023800000000",
            "080010103000005320400800000001",
            "080010101000000300021000000000",
            "080010101000000300054000000000",
            "080010103000005320401800000001",
            "080010103000005320402800000001",
            "080010103000005320403800000001",
            "080010103000005320404800000001",
            "080010103000005320405800000001",
            "080010103000005320406800000001",
            "080010103000005320407800000001",
            "080010103000005320408800000001",
            "080010103000005320409800000001",
            "080010103000005320410800000001",
            "080010103000005320411800000001",
            "080010103000005320412800000001",
            "080010103000005320413800000001",
            "080010103000005320414800000001",
            "080010103000005320415800000001",
            "080010103000005320416800000001",
            "080010103000005320417800000001",
            "080010103000005320418800000001",
            "080010103000005320419800000001",
            "080010103000005320420800000001",
            "080010103000005320421800000001",
            "080010103000005320422800000001",
            "080010103000005320423800000001",
            "080010103000005320424800000001",
            "080010103000005320425800000001",
            "080010103000005320426800000001",
            "080010103000005320427800000001",
            "080010103000005320428800000001",
            "080010103000005320429800000001",
            "080010101000000090004000000000",
            "080010101000000090010000000000",
            "080010101000000090012000000000",
            "080010103000005320925800000001",
            "080010101000000090006000000000",
            "080010101000000580002000000000",
            "080010101000000390003000000000",
            "080010101000000390055900000000",
            "080010103000005320949800000001",
            "080010103000005320926800000001",
            "080010101000000660001000000000",
            "080010103000005320927800000001",
            "080010103000005320928800000001",
            "080010103000005320929800000001",
            "080010103000005320930800000001",
            "080010103000005320931800000001",
            "080010103000005320932800000001",
            "080010103000005320933800000001",
            "080010103000005320934800000001",
            "080010103000005320935800000001",
            "080010103000005320936800000001",
            "080010103000005320937800000001",
            "080010103000005320938800000001",
            "080010103000005320939800000001",
            "080010103000005320940800000001",
            "080010103000005320941800000001",
            "080010103000005320942800000001",
            "080010103000005320943800000001",
            "080010103000005320944800000001",
            "080010103000005320945800000001",
            "080010103000005320946800000001",
            "080010103000005320947800000001",
            "080010103000005320948800000001",
            "080010101000000660070800000001",
            "080010101000000660071800000001",
            "080010101000000660072800000001",
            "080010101000000660073800000001",
            "080010101000000660074800000001",
            "080010101000000180031800000000",
            "080010101000000200016000000000",
            "080010101000000200017800000000",
            "080010101000000450002000000000",
            "080010101000001470019901010002",
            "080010101000001470019901020002",
            "080010101000000110021000000000",
            "080010101000000110022000000000",
            "080010103000005320462800000001",
            "080010103000005320431800000001",
            "080010103000005320432800000001",
            "080010103000005320433800000001",
            "080010103000005320434800000001",
            "080010103000005320435800000001",
            "080010103000005320436800000001",
            "080010103000005320437800000001",
            "080010103000005320438800000001",
            "080010103000005320439800000001",
            "080010103000005320440800000001",
            "080010103000005320441800000001",
            "080010103000005320442800000001",
            "080010103000005320443800000001",
            "080010103000005320444800000001",
            "080010103000005320445800000001",
            "080010103000005320446800000001",
            "080010103000005320447800000001",
            "080010103000005320448800000001",
            "080010103000005320449800000001",
            "080010103000005320450800000001",
            "080010103000005320451800000001",
            "080010103000005320452800000001",
            "080010103000005320453800000001",
            "080010103000005320454800000001",
            "080010103000005320455800000001",
            "080010103000005320456800000001",
            "080010103000005320457800000001",
            "080010103000005320458800000001",
            "080010103000005320459800000001",
            "080010103000005320460800000001",
            "080010103000005320461800000001",
            "080010103000005320950800000001",
            "080010101000000410006000000000",
            "080010103000005320951800000001",
            "080010103000005320952800000001",
            "080010103000005320953800000001",
            "080010103000005320954800000001",
            "080010103000005320955800000001",
            "080010103000005320956800000001",
            "080010103000005320957800000001",
            "080010103000005320958800000001",
            "080010103000005320959800000001",
            "080010103000005320960800000001",
            "080010103000005320961800000001",
            "080010103000005320962800000001",
            "080010103000005320963800000001",
            "080010103000005320964800000001",
            "080010103000005320965800000001",
            "080010103000005320966800000001",
            "080010103000005320967800000001",
            "080010103000005320968800000001",
            "080010103000005320969800000001",
            "080010103000005320970800000001",
            "080010103000005320971800000001",
            "080010103000005320972800000001",
            "080010103000005320973800000001",
            "080010103000005320974800000001",
            "080010103000005320975800000001",
            "080010103000005320976800000001",
            "080010103000005320977800000001",
            "080010101000000280006000000000",
            "080010101000000240001000000000",
            "080010101000000010045000000000",
            "080010101000000670037000000000",
            "080010101000000200006000000000",
            "080010101000000200007000000000",
            "080010103000005320002800000000",
            "080010103000005320004800000001",
            "080010103000005320005800000001",
            "080010103000005320006800000001",
            "080010101000000610002000000000",
            "080010103000005320007800000001",
            "080010103000005320008800000001",
            "080010103000005320009800000001",
            "080010103000005320010800000001",
            "080010103000005320011800000001",
            "080010103000005320012800000001",
            "080010103000005320013800000001",
            "080010103000005320014800000001",
            "080010103000005320015800000001",
            "080010103000005320016800000001",
            "080010103000005320017800000001",
            "080010103000005320018800000001",
            "080010103000005320019800000001",
            "080010103000005320020800000001",
            "080010103000005320021800000001",
            "080010103000005320022800000001",
            "080010103000005320023800000001",
            "080010103000005320024800000001",
            "080010103000005320025800000001",
            "080010103000005320026800000001",
            "080010103000005320027800000001",
            "080010103000005320028800000001",
            "080010103000005320029800000001",
            "080010103000005320030800000001",
            "080010103000005320031800000001",
            "080010101000000280002000000000",
            "080010101000001470019900000000",
            "080010103000005320463800000001",
            "080010103000005320464800000001",
            "080010103000005320465800000001",
            "080010103000005320466800000001",
            "080010103000005320467800000001",
            "080010103000005320468800000001",
            "080010103000005320469800000001",
            "080010103000005320470800000001",
            "080010103000005320471800000001",
            "080010103000005320472800000001",
            "080010103000005320473800000001",
            "080010103000005320474800000001",
            "080010103000005320475800000001",
            "080010103000005320476800000001",
            "080010103000005320477800000001",
            "080010103000005320478800000001",
            "080010103000005320479800000001",
            "080010103000005320480800000001",
            "080010103000005320481800000001",
            "080010103000005320482800000001",
            "080010103000005320483800000001",
            "080010103000005320484800000001",
            "080010103000005320485800000001",
            "080010103000005320486800000001",
            "080010103000005320487800000001",
            "080010103000005320488800000001",
            "080010103000005320489800000001",
            "080010103000005320490800000001",
            "080010103000005320491800000001",
            "080010103000005320492800000001",
            "080010103000005320493800000001",
            "080010103000005320494800000001",
            "080010103000005320978800000001",
            "080010101000000540008000000000",
            "080010101000000010001500000001",
            "080010101000000100001000000000",
            "080010101000000220037000000000",
            "080010101000000300056000000000",
            "080010103000005320979800000001",
            "080010103000005320980800000001",
            "080010103000005320981800000001",
            "080010103000005320982800000001",
            "080010103000005320983800000001",
            "080010103000005320984800000001",
            "080010103000005320985800000001",
            "080010103000005320986800000001",
            "080010103000005320987800000001",
            "080010103000005320988800000001",
            "080010103000005320989800000001",
            "080010103000005320990800000001",
            "080010103000005320991800000001",
            "080010103000005320992800000001",
            "080010103000005320993800000001",
            "080010103000005320994800000001",
            "080010103000005320995800000001",
            "080010103000005320996800000001",
            "080010103000005320997800000001",
            "080010103000005320998800000001",
            "080010103000005320999800000001",
            "080010103000005321000800000001",
            "080010103000005321001800000001",
            "080010103000005321002800000001",
            "080010101000000320032800000000",
            "080010101000000320004000000000",
            "080010103000005320059800000001",
            "080010103000005320032800000001",
            "080010103000005320033800000001",
            "080010103000005320034800000001",
            "080010103000005320035800000001",
            "080010103000005320036800000001",
            "080010103000005320037800000001",
            "080010103000005320038800000001",
            "080010103000005320039800000001",
            "080010103000005320040800000001",
            "080010103000005320041800000001",
            "080010103000005320042800000001",
            "080010103000005320043800000001",
            "080010103000005320044800000001",
            "080010103000005320045800000001",
            "080010103000005320046800000001",
            "080010103000005320047800000001",
            "080010103000005320048800000001",
            "080010103000005320049800000001",
            "080010103000005320050800000001",
            "080010103000005320051800000001",
            "080010103000005320052800000001",
            "080010103000005320053800000001",
            "080010103000005320054800000001",
            "080010103000005320055800000001",
            "080010103000005320056800000001",
            "080010103000005320057800000001",
            "080010103000005320058800000001",
            "080010103000005320495800000001",
            "080010103000005320496800000001",
            "080010101000000630002000000000",
            "080010101000000630004900000000",
            "080010103000005320497800000001",
            "080010103000005320498800000001",
            "080010103000005320499800000001",
            "080010103000005320500800000001",
            "080010103000005320501800000001",
            "080010103000005320502800000001",
            "080010103000005320503800000001",
            "080010103000005320504800000001",
            "080010103000005320505800000001",
            "080010103000005320506800000001",
            "080010103000005320507800000001",
            "080010103000005320508800000001",
            "080010103000005320509800000001",
            "080010103000005320510800000001",
            "080010103000005320511800000001",
            "080010103000005320512800000001",
            "080010103000005320513800000001",
            "080010103000005320514800000001",
            "080010103000005320515800000001",
            "080010103000005320516800000001",
            "080010103000005320517800000001",
            "080010103000005320518800000001",
            "080010103000005320519800000001",
            "080010103000005320520800000001",
            "080010103000005320521800000001",
            "080010103000005320522800000001",
            "080010103000005320523800000001",
            "080010103000005320524800000001",
            "080010103000005320525800000001",
            "080010103000005321003800000001",
            "080010101000000980002000000000",
            "080010101000000800004000000000",
            "080010101000000210005000000000",
            "080010101000000260004000000000",
            "080010101000000520014900000000",
            "080010101000000220002000000000",
            "080010101000000230002000000000",
            "080010101000000080005000000000",
            "080010103000005320060800000001",
            "080010103000005320061800000001",
            "080010103000005320062800000001",
            "080010103000005320063800000001",
            "080010103000005320064800000001",
            "080010103000005320065800000001",
            "080010103000005320066800000001",
            "080010103000005320067800000001",
            "080010103000005320068800000001",
            "080010103000005320069800000001",
            "080010103000005320070800000001",
            "080010103000005320071800000001",
            "080010103000005320072800000001",
            "080010103000005320073800000001",
            "080010103000005320074800000001",
            "080010103000005320075800000001",
            "080010103000005320076800000001",
            "080010103000005320077800000001",
            "080010103000005320078800000001",
            "080010103000005320079800000001",
            "080010103000005320080800000001",
            "080010103000005320081800000001",
            "080010103000005320082800000001",
            "080010103000005320083800000001",
            "080010103000005320084800000001",
            "080010103000005320085800000001",
            "080010103000005320086800000001",
            "080010103000005320087800000001",
            "080010103000005320088800000001",
            "080010103000005320089800000001",
            "080010103000005320090800000001",
            "080010103000005320091800000001",
            "080010103000005320092800000001",
            "080010103000005320093800000001",
            "080010103000005320094800000001",
            "080010103000005320095800000001",
            "080010103000005320096800000001",
            "080010103000005320097800000001",
            "080010101000000220036000000000",
            "080010101000000220001000000000",
            "080010101000000220035000000000",
            "080010101000000630004901010001",
            "080010101000000630004901010002",
            "080010101000000630004901020001",
            "080010101000000630004901020002",
            "080010103000005320526800000001",
            "080010104000000090122000000000",
            "080010103000005320527800000001",
            "080010103000005320528800000001",
            "080010103000005320529800000001",
            "080010103000005320530800000001",
            "080010103000005320531800000001",
            "080010103000005320532800000001",
            "080010103000005320533800000001",
            "080010103000005320534800000001",
            "080010103000005320535800000001",
            "080010103000005320536800000001",
            "080010103000005320537800000001",
            "080010103000005320538800000001",
            "080010103000005320539800000001",
            "080010103000005320540800000001",
            "080010103000005320541800000001",
            "080010103000005320542800000001",
            "080010103000005320543800000001",
            "080010103000005320544800000001",
            "080010103000005320545800000001",
            "080010103000005320546800000001",
            "080010103000005320547800000001",
            "080010103000005320548800000001",
            "080010103000005320549800000001",
            "080010103000005320550800000001",
            "080010103000005320551800000001",
            "080010103000005320552800000001",
            "080010103000005320553800000001",
            "080010101000000670036000000000",
            "080010101000000020002500000002",
            "080010101000000470002000000000",
            "080010101000000470021800000000",
            "080010101000000280005000000000",
            "080010103000005320128800000001",
            "080010103000005320129800000001",
            "080010103000005320098800000001",
            "080010103000005320099800000001",
            "080010103000005320100800000001",
            "080010103000005320101800000001",
            "080010103000005320102800000001",
            "080010103000005320130800000001",
            "080010103000005320131800000001",
            "080010103000005320132800000001",
            "080010103000005320133800000001",
            "080010103000005320134800000001",
            "080010103000005320135800000001",
            "080010103000005320103800000001",
            "080010103000005320104800000001",
            "080010103000005320105800000001",
            "080010103000005320106800000001",
            "080010103000005320107800000001",
            "080010103000005320108800000001",
            "080010103000005320109800000001",
            "080010103000005320110800000001",
            "080010103000005320111800000001",
            "080010103000005320112800000001",
            "080010103000005320113800000001",
            "080010103000005320114800000001",
            "080010103000005320115800000001",
            "080010103000005320116800000001",
            "080010103000005320117800000001",
            "080010103000005320118800000001",
            "080010103000005320119800000001",
            "080010103000005320120800000001",
            "080010103000005320121800000001",
            "080010103000005320122800000001",
            "080010103000005320123800000001",
            "080010103000005320136800000001",
            "080010103000005320124800000001",
            "080010103000005320125800000001",
            "080010103000005320126800000001",
            "080010103000005320127800000001",
            "080010103000005320554800000001",
            "080010103000005320555800000001",
            "080010103000005320556800000001",
            "080010103000005320557800000001",
            "080010103000005320558800000001",
            "080010101000000010006000000000",
            "080010103000005320559800000001",
            "080010103000005320560800000001",
            "080010103000005320561800000001",
            "080010103000005320562800000001",
            "080010101000000360005000000000",
            "080010103000005320563800000001",
            "080010103000005320564800000001",
            "080010103000005320565800000001",
            "080010103000005320566800000001",
            "080010103000005320567800000001",
            "080010103000005320568800000001",
            "080010103000005320569800000001",
            "080010103000005320570800000001",
            "080010103000005320571800000001",
            "080010103000005320572800000001",
            "080010103000005320573800000001",
            "080010103000005320574800000001",
            "080010103000005320575800000001",
            "080010103000005320576800000001",
            "080010103000005320577800000001",
            "080010103000005320578800000001",
            "080010103000005320579800000001",
            "080010103000005320580800000001",
            "080010103000005320581800000001",
            "080010103000005320582800000001",
            "080010103000005320583800000001",
            "080010103000005320584800000001",
            "080010103000005320585800000001",
            "080010103000005320586800000001",
            "080010103000005320587800000001",
            "080010103000005320588800000001",
            "080010101000000660016901010001",
            "080010101000000660016901010002",
            "080010101000000660016901020001",
            "080010101000000260003000000000",
            "080010101000000660016901020002",
            "080010101000000400005000000000",
            "080010101000000300008000000000",
            "080010101000002410004000000000",
            "080010101000000260022800000000",
            "080010103000005320175800000001",
            "080010103000005320137800000001",
            "080010103000005320138800000001",
            "080010103000005320139800000001",
            "080010103000005320140800000001",
            "080010103000005320141800000001",
            "080010103000005320142800000001",
            "080010103000005320143800000001",
            "080010103000005320144800000001",
            "080010103000005320145800000001",
            "080010103000005320146800000001",
            "080010103000005320147800000001",
            "080010103000005320148800000001",
            "080010103000005320149800000001",
            "080010103000005320150800000001",
            "080010103000005320151800000001",
            "080010103000005320152800000001",
            "080010103000005320153800000001",
            "080010103000005320154800000001",
            "080010103000005320155800000001",
            "080010103000005320156800000001",
            "080010103000005320157800000001",
            "080010103000005320158800000001",
            "080010103000005320159800000001",
            "080010103000005320160800000001",
            "080010103000005320161800000001",
            "080010103000005320162800000001",
            "080010103000005320163800000001",
            "080010103000005320164800000001",
            "080010103000005320165800000001",
            "080010103000005320166800000001",
            "080010103000005320167800000001",
            "080010103000005320168800000001",
            "080010103000005320169800000001",
            "080010103000005320170800000001",
            "080010103000005320171800000001",
            "080010103000005320172800000001",
            "080010103000005320173800000001",
            "080010103000005320174800000001",
            "080010103000005320590800000001",
            "080010103000005320591800000001",
            "080010103000005320592800000001",
            "080010103000005320593800000001",
            "080010103000005320589800000001",
            "080010103000005320594800000001",
            "080010103000005320595800000001",
            "080010103000005320596800000001",
            "080010103000005320597800000001",
            "080010103000005320598800000001",
            "080010103000005320599800000001",
            "080010103000005320600800000001",
            "080010103000005320601800000001",
            "080010103000005320602800000001",
            "080010103000005320603800000001",
            "080010103000005320604800000001",
            "080010103000005320605800000001",
            "080010103000005320606800000001",
            "080010103000005320607800000001",
            "080010103000005320608800000001",
            "080010103000005320609800000001",
            "080010103000005320610800000001",
            "080010103000005320611800000001",
            "080010103000005320612800000001",
            "080010103000005320613800000001",
            "080010103000005320614800000001",
            "080010103000005320615800000001",
            "080010103000005320616800000001",
            "080010103000005320617800000001",
            "080010103000005320618800000001",
            "080010103000005320619800000001",
            "080010103000005320620800000001",
            "080010103000005320621800000001",
            "080010103000005320622800000001",
            "080010103000005320623800000001",
            "080010103000005320624800000001",
            "080010103000005320625800000001",
            "080010103000005320626800000001",
            "080010103000005320627800000001",
            "080010103000005320914800000001",
            "080010103000005320915800000001",
            "080010103000005320916800000001",
            "080010103000005320917800000001",
            "080010103000005320918800000001",
            "080010103000005320919800000001",
            "080010103000005320920800000001",
            "080010103000005320921800000001",
            "080010103000005320922800000001",
            "080010103000005320923800000001",
            "080010103000005320924800000001",
            "080010101000000380003000000000",
            "080010101000000520001000000000",
            "080010101000000520007000000000",
            "080010101000000660050800000001",
            "080010101000000660051800000001",
            "080010101000000660052800000001",
            "080010101000000660053800000001",
            "080010101000000660054800000001",
            "080010101000000660055800000001",
            "080010101000000660056800000001",
            "080010101000000660057800000001",
            "080010101000000660058800000001",
            "080010101000000660059800000001",
            "080010101000000660060800000001",
            "080010101000000660061800000001",
            "080010101000000660062800000001",
            "080010101000000660063800000001",
            "080010101000000660064800000001",
            "080010101000000660065800000001",
            "080010101000000660066800000001",
            "080010101000000660067800000001",
            "080010101000000660068800000001",
            "080010101000000660069800000001",
            "080010101000000880001901010001",
            "080010101000000880001901020001",
            "080010101000000500023000000000",
            "080010101000000300002000000000",
            "080010101000000300032000000000",
            "080010101000000300052000000000",
            "080010102000000830012000000000",
            "080010102000000830075800000000",
            "080010101000000300055000000000",
            "080010103000005320430800000001",
            "080010101000000660023800000000",
            "080010103000005320400800000001",
            "080010101000000300021000000000",
            "080010101000000300054000000000",
            "080010103000005320401800000001",
            "080010103000005320402800000001",
            "080010103000005320403800000001",
            "080010103000005320404800000001",
            "080010103000005320405800000001",
            "080010103000005320406800000001",
            "080010103000005320407800000001",
            "080010103000005320408800000001",
            "080010103000005320409800000001",
            "080010103000005320410800000001",
            "080010103000005320411800000001",
            "080010103000005320412800000001",
            "080010103000005320413800000001",
            "080010103000005320414800000001",
            "080010103000005320415800000001",
            "080010103000005320416800000001",
            "080010103000005320417800000001",
            "080010103000005320418800000001",
            "080010103000005320419800000001",
            "080010103000005320420800000001",
            "080010103000005320421800000001",
            "080010103000005320422800000001",
            "080010103000005320423800000001",
            "080010103000005320424800000001",
            "080010103000005320425800000001",
            "080010103000005320426800000001",
            "080010103000005320427800000001",
            "080010103000005320428800000001",
            "080010103000005320429800000001",
            "080010101000000090004000000000",
            "080010101000000090010000000000",
            "080010101000000090012000000000",
            "080010103000005320925800000001",
            "080010101000000090006000000000",
            "080010101000000580002000000000",
            "080010101000000390003000000000",
            "080010101000000390055900000000",
            "080010103000005320949800000001",
            "080010103000005320926800000001",
            "080010101000000660001000000000",
            "080010103000005320927800000001",
            "080010103000005320928800000001",
            "080010103000005320929800000001",
            "080010103000005320930800000001",
            "080010103000005320931800000001",
            "080010103000005320932800000001",
            "080010103000005320933800000001",
            "080010103000005320934800000001",
            "080010103000005320935800000001",
            "080010103000005320936800000001",
            "080010103000005320937800000001",
            "080010103000005320938800000001",
            "080010103000005320939800000001",
            "080010103000005320940800000001",
            "080010103000005320941800000001",
            "080010103000005320942800000001",
            "080010103000005320943800000001",
            "080010103000005320944800000001",
            "080010103000005320945800000001",
            "080010103000005320946800000001",
            "080010103000005320947800000001",
            "080010103000005320948800000001",
            "080010101000000660070800000001",
            "080010101000000660071800000001",
            "080010101000000660072800000001",
            "080010101000000660073800000001",
            "080010101000000660074800000001",
            "080010101000000180031800000000",
            "080010101000000200016000000000",
            "080010101000000200017800000000",
            "080010101000000450002000000000",
            "080010101000001470019901010002",
            "080010101000001470019901020002",
            "080010101000000110021000000000",
            "080010101000000110022000000000",
            "080010103000005320462800000001",
            "080010103000005320431800000001",
            "080010103000005320432800000001",
            "080010103000005320433800000001",
            "080010103000005320434800000001",
            "080010103000005320435800000001",
            "080010103000005320436800000001",
            "080010103000005320437800000001",
            "080010103000005320438800000001",
            "080010103000005320439800000001",
            "080010103000005320440800000001",
            "080010103000005320441800000001",
            "080010103000005320442800000001",
            "080010103000005320443800000001",
            "080010103000005320444800000001",
            "080010103000005320445800000001",
            "080010103000005320446800000001",
            "080010103000005320447800000001",
            "080010103000005320448800000001",
            "080010103000005320449800000001",
            "080010103000005320450800000001",
            "080010103000005320451800000001",
            "080010103000005320452800000001",
            "080010103000005320453800000001",
            "080010103000005320454800000001",
            "080010103000005320455800000001",
            "080010103000005320456800000001",
            "080010103000005320457800000001",
            "080010103000005320458800000001",
            "080010103000005320459800000001",
            "080010103000005320460800000001",
            "080010103000005320461800000001",
            "080010103000005320950800000001",
            "080010101000000410006000000000",
            "080010103000005320951800000001",
            "080010103000005320952800000001",
            "080010103000005320953800000001",
            "080010103000005320954800000001",
            "080010103000005320955800000001",
            "080010103000005320956800000001",
            "080010103000005320957800000001",
            "080010103000005320958800000001",
            "080010103000005320959800000001",
            "080010103000005320960800000001",
            "080010103000005320961800000001",
            "080010103000005320962800000001",
            "080010103000005320963800000001",
            "080010103000005320964800000001",
            "080010103000005320965800000001",
            "080010103000005320966800000001",
            "080010103000005320967800000001",
            "080010103000005320968800000001",
            "080010103000005320969800000001",
            "080010103000005320970800000001",
            "080010103000005320971800000001",
            "080010103000005320972800000001",
            "080010103000005320973800000001",
            "080010103000005320974800000001",
            "080010103000005320975800000001",
            "080010103000005320976800000001",
            "080010103000005320977800000001",
            "080010101000000280006000000000",
            "080010101000000240001000000000",
            "080010101000000010045000000000",
            "080010101000000670037000000000",
            "080010101000000200006000000000",
            "080010101000000200007000000000",
            "080010103000005320002800000000",
            "080010103000005320004800000001",
            "080010103000005320005800000001",
            "080010103000005320006800000001",
            "080010101000000610002000000000",
            "080010103000005320007800000001",
            "080010103000005320008800000001",
            "080010103000005320009800000001",
            "080010103000005320010800000001",
            "080010103000005320011800000001",
            "080010103000005320012800000001",
            "080010103000005320013800000001",
            "080010103000005320014800000001",
            "080010103000005320015800000001",
            "080010103000005320016800000001",
            "080010103000005320017800000001",
            "080010103000005320018800000001",
            "080010103000005320019800000001",
            "080010103000005320020800000001",
            "080010103000005320021800000001",
            "080010103000005320022800000001",
            "080010103000005320023800000001",
            "080010103000005320024800000001",
            "080010103000005320025800000001",
            "080010103000005320026800000001",
            "080010103000005320027800000001",
            "080010103000005320028800000001",
            "080010103000005320029800000001",
            "080010103000005320030800000001",
            "080010103000005320031800000001",
            "080010101000000280002000000000",
            "080010101000001470019900000000",
            "080010103000005320463800000001",
            "080010103000005320464800000001",
            "080010103000005320465800000001",
            "080010103000005320466800000001",
            "080010103000005320467800000001",
            "080010103000005320468800000001",
            "080010103000005320469800000001",
            "080010103000005320470800000001",
            "080010103000005320471800000001",
            "080010103000005320472800000001",
            "080010103000005320473800000001",
            "080010103000005320474800000001",
            "080010103000005320475800000001",
            "080010103000005320476800000001",
            "080010103000005320477800000001",
            "080010103000005320478800000001",
            "080010103000005320479800000001",
            "080010103000005320480800000001",
            "080010103000005320481800000001",
            "080010103000005320482800000001",
            "080010103000005320483800000001",
            "080010103000005320484800000001",
            "080010103000005320485800000001",
            "080010103000005320486800000001",
            "080010103000005320487800000001",
            "080010103000005320488800000001",
            "080010103000005320489800000001",
            "080010103000005320490800000001",
            "080010103000005320491800000001",
            "080010103000005320492800000001",
            "080010103000005320493800000001",
            "080010103000005320494800000001",
            "080010103000005320978800000001",
            "080010101000000540008000000000",
            "080010101000000010001500000001",
            "080010101000000100001000000000",
            "080010101000000220037000000000",
            "080010101000000300056000000000",
            "080010103000005320979800000001",
            "080010103000005320980800000001",
            "080010103000005320981800000001",
            "080010103000005320982800000001",
            "080010103000005320983800000001",
            "080010103000005320984800000001",
            "080010103000005320985800000001",
            "080010103000005320986800000001",
            "080010103000005320987800000001",
            "080010103000005320988800000001",
            "080010103000005320989800000001",
            "080010103000005320990800000001",
            "080010103000005320991800000001",
            "080010103000005320992800000001",
            "080010103000005320993800000001",
            "080010103000005320994800000001",
            "080010103000005320995800000001",
            "080010103000005320996800000001",
            "080010103000005320997800000001",
            "080010103000005320998800000001",
            "080010103000005320999800000001",
            "080010103000005321000800000001",
            "080010103000005321001800000001",
            "080010103000005321002800000001",
            "080010101000000320032800000000",
            "080010101000000320004000000000",
            "080010103000005320059800000001",
            "080010103000005320032800000001",
            "080010103000005320033800000001",
            "080010103000005320034800000001",
            "080010103000005320035800000001",
            "080010103000005320036800000001",
            "080010103000005320037800000001",
            "080010103000005320038800000001",
            "080010103000005320039800000001",
            "080010103000005320040800000001",
            "080010103000005320041800000001",
            "080010103000005320042800000001",
            "080010103000005320043800000001",
            "080010103000005320044800000001",
            "080010103000005320045800000001",
            "080010103000005320046800000001",
            "080010103000005320047800000001"};

        try {
            List<String> listaPredios = new ArrayList<String>(Arrays.asList(predios));
            List<PPredio> prediosProyectados = this.dao.obtenerPrediosProyectadosConFichaMatriz(
                listaPredios);
            Assert.assertNotNull(predios);
            Assert.assertTrue(prediosProyectados.size() == 1498);
        } catch (Exception ex) {
            ex.printStackTrace();
            Assert.fail();
        }

    }

    @Test
    public void testFindPPrediosByTramiteId() {
        LOGGER.debug("unit test: PPredioDAOBeanTest#testFindPPrediosByTramiteId");

        List<PPredio> ppredios;
        try {
            ppredios = this.dao.findAll(0, 1);
            if (ppredios.size() > 0) {
                LOGGER.debug("Tramite id: " + ppredios.get(0).getTramite().getId());
                ppredios = this.dao.findPPrediosByTramiteId(ppredios.get(0).getTramite().getId());
                Assert.assertNotNull(ppredios);
                LOGGER.debug("Número de predios: " + ppredios.size());
                Assert.assertTrue(ppredios.size() > 0);
            }
        } catch (Exception ex) {
            ex.printStackTrace();
            Assert.fail();
        }
    }

    //---------------------------------------------------------------------------------------------
    /**
     * Método de prueba para buscarPPrediosPanelAvaluoPorTramiteId
     *
     * @author juan.agudelo
     */
    @Test
    public void testBuscarPPrediosPanelAvaluoPorTramiteId() {
        LOGGER.debug("unit test: PPredioDAOBeanTest#testBuscarPPrediosPanelAvaluoPorTramiteId");

        List<PPredio> ppredios;
        Long tramiteId = 2022l;
        try {
            LOGGER.debug("**************** ENTRAMOS *************************");
            ppredios = this.dao.buscarPPrediosPanelAvaluoPorTramiteId(tramiteId);

            if (ppredios != null && !ppredios.isEmpty()) {

                for (PPredio p : ppredios) {
                    LOGGER.debug("Avaluos " +
                        p.getPPredioAvaluoCatastrals().get(0)
                            .getValorTotalAvaluoCatastral());
                }
            }

            Assert.assertNotNull(ppredios);
            LOGGER.debug("********************SALIMOS**********************");
        } catch (Exception ex) {
            ex.printStackTrace();
            Assert.fail();
        }
    }

    // ---------------------------------------------------------------------------------------------
    /**
     * Método de prueba para buscarPPrediosPanelJPropiedadPorTramiteId
     *
     * @author juan.agudelo
     */
    @Test
    public void testBuscarPPrediosPanelJPropiedadPorTramiteId() {
        LOGGER.debug("unit test: PPredioDAOBeanTest#testBuscarPPrediosPanelJPropiedadPorTramiteId");

        List<PPredio> ppredios;
        Long tramiteId = 2022l;
        try {
            LOGGER.debug("**************** ENTRAMOS *************************");
            ppredios = this.dao
                .buscarPPrediosPanelJPropiedadPorTramiteId(tramiteId);

            if (ppredios != null && !ppredios.isEmpty()) {

                for (PPredio p : ppredios) {
                    if (p.getPPersonaPredios() != null &&
                        !p.getPPersonaPredios().isEmpty()) {
                        for (PPersonaPredio pp : p.getPPersonaPredios()) {

                            LOGGER.debug("PerosnaP id: " + pp.getId());

                            if (pp.getPPersonaPredioPropiedads() != null &&
                                !pp.getPPersonaPredioPropiedads()
                                    .isEmpty()) {
                                for (PPersonaPredioPropiedad ppp : pp
                                    .getPPersonaPredioPropiedads()) {
                                    LOGGER.debug("PerosnaPP tipo título: " +
                                        ppp.getTipoTitulo());
                                }
                            }
                        }
                    }
                }
            }

            Assert.assertNotNull(ppredios);
            LOGGER.debug("********************SALIMOS**********************");
        } catch (Exception ex) {
            ex.printStackTrace();
            Assert.fail();
        }
    }

    // ---------------------------------------------------------------------------------------------
    /**
     * Método de prueba para buscarPPrediosPanelJPropiedadPorTramiteId
     *
     * @author juan.agudelo
     */
    @Test
    public void testBuscarPPrediosPanelPropietariosPorTramiteId() {
        LOGGER.
            debug("unit test: PPredioDAOBeanTest#testBuscarPPrediosPanelPropietariosPorTramiteId");

        List<PPredio> ppredios;
        Long tramiteId = 2001l;
        try {
            LOGGER.debug("**************** ENTRAMOS *************************");
            ppredios = this.dao
                .buscarPPrediosPanelJPropiedadPorTramiteId(tramiteId);

            if (ppredios != null && !ppredios.isEmpty()) {

                for (PPredio p : ppredios) {
                    if (p.getPPersonaPredios() != null &&
                        !p.getPPersonaPredios().isEmpty()) {
                        for (PPersonaPredio pp : p.getPPersonaPredios()) {

                            LOGGER.debug("PerosnaP id: " + pp.getId());

                            if (pp.getPPersona() != null) {

                                LOGGER.debug("PNombre: " +
                                    pp.getPPersona().getNombre());
                            }
                        }
                    }
                }
            }

            Assert.assertNotNull(ppredios);
            LOGGER.debug("********************SALIMOS**********************");
        } catch (Exception ex) {
            ex.printStackTrace();
            Assert.fail();
        }
    }

    // ---------------------------------------------------------------------------------------------
    /**
     * Método de prueba para testBuscarPPrediosPanelUbicacionPredioPorTramiteId
     *
     * @author juan.agudelo
     */
    @Test
    public void testBuscarPPrediosPanelUbicacionPredioPorTramiteId() {
        LOGGER.debug(
            "unit test: PPredioDAOBeanTest#testBuscarPPrediosPanelUbicacionPredioPorTramiteId");

        List<PPredio> ppredios;
        Long tramiteId = 42525l;

        try {
            LOGGER.debug("**************** ENTRAMOS *************************");
            ppredios = this.dao
                .buscarPPrediosPanelUbicacionPredioPorTramiteId(tramiteId);

            if (ppredios != null && !ppredios.isEmpty()) {

                LOGGER.debug("fetched " + ppredios.size() + " rows");

                for (PPredio p : ppredios) {
                    LOGGER.debug("Servidumbres " +
                        p.getPPredioServidumbre().size());

                    if (p.getPPredioServidumbre() != null &&
                        !p.getPPredioServidumbre().isEmpty()) {
                        LOGGER.debug("Servidumbre " +
                            p.getPPredioServidumbre().get(0)
                                .getServidumbre());
                    }

                    if (p.getPPredioDireccions() != null &&
                        !p.getPPredioDireccions().isEmpty()) {
                        LOGGER.debug("Dirección " +
                            p.getPPredioDireccions().get(0)
                                .getDireccion());
                    }
                    if (p.getPPredioZonas() != null &&
                        !p.getPPredioZonas().isEmpty()) {
                        LOGGER.debug("Zona " +
                            p.getPPredioZonas().get(0).getZonaFisica());
                    }
                }
            }

            Assert.assertNotNull(ppredios);
            LOGGER.debug("********************SALIMOS**********************");
        } catch (Exception ex) {
            ex.printStackTrace();
            Assert.fail();
        }
    }

    /**
     * @author fabio.navarrete
     */
    @Test
    public void testMergeDefaultAreaConstruccion() {
        LOGGER.debug("PPredioDAOBeanTest#testMergeDefaultAreaConstruccion");
        PPredio ppredio;
        try {
            this.em.getTransaction().begin();
            List<PPredio> pPredios = this.dao.findAll(0, 1);
            if (!pPredios.isEmpty()) {
                ppredio = pPredios.get(0);
                Assert.assertNotNull(ppredio);
                ppredio.setId(null);
                ppredio.setAreaConstruccion(null);
                ppredio = this.dao.update(ppredio);
                Assert.assertNotNull(ppredio.getId());
                dao.delete(ppredio);
            }
            this.em.getTransaction().commit();
        } catch (Exception ex) {
            ex.printStackTrace();
            Assert.fail();
        }

    }

    /**
     * @author fabio.navarrete
     */
    @Test
    public void testFindPPrediosCompletosByTramiteId() {
        LOGGER.debug("PPredioDAOBeanTest#testFindPPrediosCompletosByTramiteId");
        try {
            List<PPredio> pPredios = this.dao.findPPrediosCompletosByTramiteId(9553L);
//			List<PPredio> pPredios = this.dao.findPPrediosByTramiteId(9553L);
            Assert.assertNotNull(pPredios);
            for (PPredio pPredio : pPredios) {
                LOGGER.debug("pPredio id: " + pPredio.getId());
            }
            LOGGER.debug("Numero de pPredios: " + pPredios.size());
            LOGGER.debug("Numero de personas en el predio: " + pPredios.get(0).getPPersonaPredios().
                size());
            if (pPredios.isEmpty()) {
                LOGGER.debug("LISTA VACIA");
            }
        } catch (Exception e) {
            LOGGER.error("Error test testFindPPrediosCompletosByTramiteId", e);
            e.printStackTrace();
            Assert.fail();
        }
    }

    // ---------------------------------------------------------------------------------------------
    /**
     * Método de prueba para testBuscarPPrediosPanelFichaMatrizPorTramiteId
     *
     * @author juan.agudelo
     */
    @Test
    public void testBuscarPPrediosPanelFichaMatrizPorTramiteId() {
        LOGGER.debug("unit test: PPredioDAOBeanTest#testBuscarPPrediosPanelFichaMatrizPorTramiteId");

        List<PPredio> ppredios;
        Long tramiteId = 20789l;
        try {
            LOGGER.debug("**************** ENTRAMOS *************************");
            ppredios = this.dao
                .buscarPPrediosPanelFichaMatrizPorTramiteId(tramiteId);

            if (ppredios != null && !ppredios.isEmpty()) {

                for (PPredio p : ppredios) {
                    LOGGER.debug("Ficha Matriz " +
                        p.getPFichaMatrizs().size());

                    if (p.getPFichaMatrizs() != null &&
                        !p.getPFichaMatrizs().isEmpty()) {
                        LOGGER.debug("Total torres " +
                            p.getPFichaMatrizs().get(0)
                                .getTotalTorres());
                    }

                    if (p.getPPredioDireccions() != null &&
                        !p.getPPredioDireccions().isEmpty()) {
                        LOGGER.debug("Dirección " +
                            p.getPPredioDireccions().get(0)
                                .getDireccion());
                    }

                }
            }

            Assert.assertNotNull(ppredios);
            LOGGER.debug("********************SALIMOS**********************");
        } catch (Exception ex) {
            ex.printStackTrace();
            Assert.fail();
        }
    }
//--------------------------------------------------------------------------------------------------

    @Test
    public void testGetPUnidadesConstruccion() {

        LOGGER.debug("unit test PPredioDAOBeanTest#testGetPUnidadesConstruccion ");
        ArrayList<PUnidadConstruccion> answer;
        Long ppredioId;

        ppredioId = 505687l;

        try {
            answer = this.dao.getPUnidadesConstruccion(ppredioId);
            Assert.assertTrue(true);

            if (null != answer && !answer.isEmpty()) {
                LOGGER.debug(answer.get(0).getUsoConstruccion().getNombre());
            }
        } catch (Exception ex) {
            Assert.fail();
            LOGGER.error(ex.getMessage());
        }

    }
//--------------------------------------------------------------------------------------------------

    @Test
    public void testGetPPrediosByTramiteIdActualizarAvaluo() {

        LOGGER.debug("unit test PPredioDAOBeanTest#testGetPPrediosByTramiteIdActualizarAvaluo ");
        List<PPredio> answer;
        Long tramiteId;

        tramiteId = 41920l;

        try {
            answer = this.dao.getPPrediosByTramiteIdActualizarAvaluo(tramiteId);
            Assert.assertNotNull(answer);
        } catch (Exception ex) {
            Assert.fail();
            LOGGER.error(ex.getMessage());
        }

    }
//--------------------------------------------------------------------------------------------------

    @Test
    public void testUpdatePPredioZonasPrediosInscritos() {

        LOGGER.debug("unit test PPredioDAOBeanTest#testUpdatePPredioZonasPrediosInscritos ");
        boolean answer;
        Long tramiteId = 18849L;

        try {
            //answer = this.dao.updatePPredioZonasPrediosInscritos(tramiteId);
            //Assert.assertTrue(answer);    		
        } catch (Exception ex) {
            Assert.fail();
            LOGGER.error(ex.getMessage());
        }

    }

    //--------------------------------------------------------------------------------------------------
    @Test
    public void testGetPPredioByTramiteId() {

        LOGGER.debug("unit test PPredioDAOBeanTest#testGetPPredioByTramiteId ");
        PPredio answer;
        Long tramiteId = 43015L;

        try {
            answer = this.dao.getPPredioByTramiteId(tramiteId);
            Assert.assertNotNull(answer);
        } catch (Exception ex) {
            Assert.fail();
            LOGGER.error(ex.getMessage());
        }

    }

    @Test
    public void testFindPPrediosResultantesByTramiteId() {
        try {
            List<PPredio> predios = this.dao.findPPrediosResultantesByTramiteId(127650L);
            Assert.assertNotNull(predios);
            Assert.assertTrue(predios.size() > 0);
        } catch (Exception e) {
            e.printStackTrace();
            Assert.fail();
        }
    }

    /**
     * Prueba la recuperacion de predios proyectados a partir de cancela inscribe definidos
     *
     * @author andres.eslav
     */
    @Test
    public void testGetPPrediosByTramiteIdActualizarAvaluo2() {

        try {
            List<EProyeccionCancelaInscribe> ci = new ArrayList<EProyeccionCancelaInscribe>();
            ci.add(EProyeccionCancelaInscribe.CANCELA);
            ci.add(EProyeccionCancelaInscribe.INSCRIBE);
            ci.add(EProyeccionCancelaInscribe.MODIFICA);
            List<PPredio> prediosP = dao.getPPrediosByTramiteIdActualizarAvaluo(46736L, ci);
            Assert.assertNotNull(prediosP);
        } catch (Exception e) {
            e.printStackTrace();
            Assert.fail();
        }
    }

    /**
     * Prueba de predios modificados
     *
     * @author felipe.cadena
     */
    @Test
    public void testObtenerPredioModificadoPorTamite() {

        LOGGER.debug("unit test PPredioDAOBeanTest#testObtenerPredioModificadoPorTamite");
        Long idTramite = 47263L;
        String tablaAsociada = "P_UNIDAD_CONSTRUCCION";
        try {

            TreeMap<Long, Boolean> answer = this.dao.obtenerPredioModificadoPorTamite(idTramite,
                tablaAsociada);
            LOGGER.debug(answer.firstEntry().toString());
            Assert.assertNotNull(answer);
        } catch (Exception ex) {
            Assert.fail();
            LOGGER.error(ex.getMessage());
        }
    }

    /**
     *
     * @author felipe.cadena
     */
    @Test
    public void testEliminarProyeccionPredio() {

        try {
            this.em.getTransaction().begin();
            this.dao.eliminarProyeccionPredio(11019248L);
            this.em.getTransaction().commit();
        } catch (Exception e) {
            e.printStackTrace();
            Assert.fail();
        }
    }

    /**
     * Prueba de predios modificados
     *
     * @author javier.apotne
     */
    @Test
    public void testObtenerPredioConNumeroPredialModificadoPorTamite() {

        LOGGER.debug(
            "unit test PPredioDAOBeanTest#testObtenerPredioConNumeroPredialModificadoPorTamite");
        Long idTramite = 47263L;
        try {

            TreeMap<String, Boolean> answer = this.dao.
                obtenerPredioConNumeroPredialModificadoPorTamite(idTramite);
            LOGGER.debug(answer.firstEntry().toString());
            Assert.assertNotNull(answer);
        } catch (Exception ex) {
            Assert.fail();
            LOGGER.error(ex.getMessage());
        }
    }

    /**
     * Prueba de predios modificados
     *
     * @author leidy.gonzalez
     */
    @Test
    public void testBuscarPPrediosModPorTramiteId() {

        LOGGER.debug("unit test PPredioDAOBeanTest#testBuscarPPrediosModPorTramiteId");
        Long idTramite = 662456L;
        Long idFichaM = 4167L;
        try {

            List<PPredio> answer = this.dao.buscarPPrediosModPorTramiteId(idTramite, idFichaM);

            Assert.assertNotNull(answer);
        } catch (Exception ex) {
            Assert.fail();
            LOGGER.error(ex.getMessage());
        }
    }

    /**
     * Prueba de predios Diferentes a FichaMatriz, Condicion 0 Y 5 que No s eencuentran Cancelados
     *
     * @author leidy.gonzalez
     */
    @Test
    public void testBuscarPPrediosDifFichaMatrizCon0Y5NoCancelados() {

        LOGGER.debug(
            "unit test PPredioDAOBeanTest#testBuscarPPrediosDifFichaMatrizCon0Y5NoCancelados");

        Long idTramite = 662456L;

        try {

            List<PPredio> answer = this.dao.
                buscarPPrediosDifFichaMatrizCon0Y5NoCancelados(idTramite);

            Assert.assertNotNull(answer);
        } catch (Exception ex) {
            Assert.fail();
            LOGGER.error(ex.getMessage());
        }
    }
}
